Summary:	GNU Aspell is an Open Source spell checker
Summary(pl):	GNU Aspell jest kontrolerem pisowni
Summary(pt_BR):	Verificador ortogrfico
Name:		aspell
Version:	0.50.3
Release:	1.1
Epoch:		2
License:	LGPL
Group:		Applications/Text
Vendor:		Kevin Atkinson <kevina@gnu.org>
Source0:	ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
# Source0-md5: a3bf0d46303ffb0beab8121bbc3311a3
Patch0:		%{name}-assert.patch
URL:		http://aspell.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4e-0.20021218.3
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	pspell = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15
Obsoletes:	pspell

%description
GNU Aspell is a Free and Open Source spell checker designed to
eventually replace Ispell. It can either be used as a library or as an
independent spell checker. Its main feature is that it does a much
better job of coming up with possible suggestions than just about any
other spell checker out there for the English language, including
Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries
and intelligently handling personal dictionaries when more than one
Aspell process is open at once.

%description -l pl
GNU Aspell jest kontrolerem pisowni zaprojektowanym tak, by mc
zastpi ispella. Dodatkowo zawiera wsparcie dla innych jzykw ni
angielski. Interfejs aspella napisany zosta w C++, a interfejsy w
Perlu i C s aktualnie rozwijane.

%description -l pt_BR
GNU Aspell  um verificador ortogrfico criado para substituir o
antigo "ispell". Sua principal vantagem (sobre o Ispell)  uma melhor
sugesto de correes. Aspell inclui suporte a vrios idiomas e pode
fazer a checagem de arquivos LaTeX e HTML.

%package devel
Summary:	Header files for aspell development
Summary(pl):	Pliki nagwkowe dla programistw uywajcych aspella
Summary(pt_BR):	Arquivos para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	pspell-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15-devel
Obsoletes:	pspell-devel

%description devel
Aspell is an Open Source spell checker. This package contains header
files for aspell development.

%description devel -l pl
Aspell jest kontrolerem pisowni. Ten pakiet zawiera pliki nagwkowe
dla programistw uywajcych bibliotek aspella.

%description devel -l pt_BR
Aspell  um corretor ortogrfico. O pacote -devel inclui bibliotecas
dinmicas e arquivos de incluso necessrios para o desenvolvimento
utilizando o aspell.

%package static
Summary:	Static libraries for aspell development
Summary(pl):	Biblioteki statyczne aspella
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	pspell-static
Provides:	pspell-static = %{epoch}:%{version}-%{release}

%description static
Aspell is an Open Source spell checker. This package contains static
aspell libraries.

%description static -l pl
Aspell jest kontrolerem pisowni. Pakiet ten zawiera biblioteki
statyczne aspella.

%description static -l pt_BR
Aspell  um corretor ortogrfico. O pacote -devel-static inclui as
bibliotecas estticas necessrias para o desenvolvimento utilizando o
aspell.

%prep
%setup -q
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/aspell

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{_bindir}/run-with-aspell,%{_datadir}/aspell/{i,}spell}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README manual/man-html/*.{html,png,css}
%attr(755,root,root) %{_bindir}/a*
%attr(755,root,root) %{_bindir}/w*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/aspell
%dir %{_libdir}/aspell

%files devel
%defattr(644,root,root,755)
%doc manual/dev-html/*.{html,png,css}
%attr(755,root,root) %{_bindir}/p*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/pspell
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
